Show / Hide Table of Contents

# Class OpenIddictValidationRetriever

##### Inheritance

System.Object
OpenIddictValidationRetriever

###### Namespace: OpenIddict.Validation

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationRetriever : IConfigurationRetriever<OpenIdConnectConfiguration>

### Constructors

#### OpenIddictValidationRetriever(OpenIddictValidationService)

Creates a new instance of the OpenIddictValidationRetriever class.

##### Declaration

    public OpenIddictValidationRetriever(OpenIddictValidationService service)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationService | service | The validation service.